- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# myPdco Class Reference

This implements a simple network matrix as derived from ClpMatrixBase. More...

`#include <myPdco.hpp>`

Inheritance diagram for myPdco:

[legend]
Collaboration diagram for myPdco:

[legend]
List of all members.

## Public Member Functions
Useful methods
virtual void | matVecMult (ClpInterior *model, int mode, double *x, double *y) const
virtual void | getGrad (ClpInterior *model, CoinDenseVector< double > &x, CoinDenseVector< double > &grad) const
virtual void | getHessian (ClpInterior *model, CoinDenseVector< double > &x, CoinDenseVector< double > &H) const
virtual double | getObj (ClpInterior *model, CoinDenseVector< double > &x) const
virtual void | matPrecon (ClpInterior *model, double delta, double *x, double *y) const
Constructors, destructor
| myPdco ()
| Default constructor.
| myPdco (double d1, double d2, int numnodes, int numlinks)
| Constructor from Stuff.
| myPdco (ClpInterior &model, FILE *fpData, FILE *fpParam)
| Also reads a model.
virtual | ~myPdco ()
| Destructor.
Copy method
| myPdco (const myPdco &)
| The copy constructor.
myPdco & | operator= (const myPdco &)
| The copy constructor.
virtual ClpPdcoBase * | clone () const
| Clone.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int * | rowIndex_
int | numlinks_
int | numnodes_

## Detailed Description

This implements a simple network matrix as derived from ClpMatrixBase.

If you want more sophisticated version then you could inherit from this. Also you might want to allow networks with gain

Definition at line 16 of file myPdco.hpp.

## Constructor & Destructor Documentation

myPdco::myPdco | ( |  | ) |

Default constructor.

myPdco::myPdco | ( | double | d1,
|  | double | d2,
|  | int | numnodes,
|  | int | numlinks |
| ) |  |  |

Constructor from Stuff.

myPdco::myPdco | ( | ClpInterior & | model,
|  | FILE * | fpData,
|  | FILE * | fpParam |
| ) |  |  |

Also reads a model.

virtual myPdco::~myPdco | ( |  | ) | `[virtual]`

Destructor.

myPdco::myPdco | ( | const myPdco & |  | ) |

The copy constructor.

## Member Function Documentation

virtual void myPdco::matVecMult | ( | ClpInterior * | model,
|  | int | mode,
|  | double * | x,
|  | double * | y |
| ) |  |  | const`[virtual]`

Implements ClpPdcoBase.

virtual void myPdco::getGrad | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | grad |
| ) |  |  | const`[virtual]`

Implements ClpPdcoBase.

virtual void myPdco::getHessian | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | H |
| ) |  |  | const`[virtual]`

Implements ClpPdcoBase.

virtual double myPdco::getObj | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x |
| ) |  |  | const`[virtual]`

Implements ClpPdcoBase.

virtual void myPdco::matPrecon | ( | ClpInterior * | model,
|  | double | delta,
|  | double * | x,
|  | double * | y |
| ) |  |  | const`[virtual]`

Implements ClpPdcoBase.

myPdco& myPdco::operator= | ( | const myPdco & |  | ) |

The copy constructor.

virtual ClpPdcoBase* myPdco::clone | ( |  | ) | const`[virtual]`

Clone.

Implements ClpPdcoBase.

## Member Data Documentation

int* myPdco::rowIndex_`[protected]`

Definition at line 61 of file myPdco.hpp.

int myPdco::numlinks_`[protected]`

Definition at line 62 of file myPdco.hpp.

int myPdco::numnodes_`[protected]`

Definition at line 63 of file myPdco.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/Clp/examples/myPdco.hpp